import struct

from pymavlink.mavutil import mavlink

class fifo(object):
    def __init__(self):
        self.buf = []
    def write(self, data):
        self.buf += data
        return len(data)
    def read(self):
        return self.buf.pop(0)

class Utils:
    mav_instance = None
    @staticmethod
    def get_mavlink_instance():
        if Utils.mav_instance is None:
            f = fifo()
            Utils.mav_instance = mavlink.MAVLink(f)
        return Utils.mav_instance

    @staticmethod
    def float_from_integer(integer):
        return struct.unpack('!f', struct.pack('!I', integer))[0]
